<form [formGroup]="teamForm" (ngSubmit)="onReactiveFormSubmit()" novalidate>
    <div class="modal-header">
        <h4 class="modal-title">เพิ่มทีมงานใหม่</h4>
        <button type="button" class="close" aria-label="Close" (click)="close()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <div class="w-100 text-center">
            <img class="avatar" src="https://image.flaticon.com/icons/svg/194/194938.svg" [src]="para.picture">
            <a class="change_img" (click)="change_picture()">
                <i class="fa fa-camera"></i>
            </a>
            <input type="file" style="display: none;" #file (change)="file_change($event)">
        </div>
        <fieldset class="form-group mt-3">
            <label for="username">ชื่อผู้ใช้</label>
            <input type="text" id="username"
                [ngClass]="{'invalid':!teamForm.get('username').valid && (teamForm.get('username').dirty || teamForm.get('username').touched)}"
                formControlName="username" name="username" class="form-control round">
            <small class="form-text text-muted danger"
                *ngIf="!teamForm.get('username').valid && (teamForm.get('username').dirty || teamForm.get('username').touched)">กรุณากรอกผู้ใช้งานให้ถูกต้อง</small>
        </fieldset>
        <fieldset class="form-group">
            <label for="password">รหัสผ่าน</label>
            <input type="password" id="password"
                [ngClass]="{'invalid':!teamForm.get('password').valid && (teamForm.get('password').dirty || teamForm.get('password').touched)}"
                formControlName="password" name="password" class="form-control round">
            <small class="form-text text-muted danger"
                *ngIf="!teamForm.get('password').valid && (teamForm.get('password').dirty || teamForm.get('password').touched)">กรุณากรอกรหัสผ่านให้ถูกต้อง</small>
        </fieldset>
        <fieldset class="form-group">
            <label for="name">ชื่อ - นามสกุล</label>
            <input type="text" id="name"
                [ngClass]="{'invalid':!teamForm.get('name').valid && (teamForm.get('name').dirty || teamForm.get('name').touched)}"
                formControlName="name" name="name" class="form-control round">
            <small class="form-text text-muted danger"
                *ngIf="!teamForm.get('name').valid && (teamForm.get('name').dirty || teamForm.get('name').touched)">กรุณากรอก
                ชื่อ - นามสกุล ให้ถูกต้อง</small>
        </fieldset>
        <fieldset class="form-group">
            <label for="email">อีเมล์</label>
            <input type="email" id="email"
                [ngClass]="{'invalid':!teamForm.get('email').valid && (teamForm.get('email').dirty || teamForm.get('email').touched)}"
                formControlName="email" name="email" class="form-control round">
            <small class="form-text text-muted danger"
                *ngIf="!teamForm.get('email').valid && (teamForm.get('email').dirty || teamForm.get('email').touched)">กรุณากรอกอีเมล์ให้ถูกต้อง</small>
        </fieldset>
        <fieldset class="form-group">
            <label for="tel">เบอร์โทรศัพท์</label>
            <input type="text" id="phone"
                [ngClass]="{'invalid':!teamForm.get('phone').valid && (teamForm.get('phone').dirty || teamForm.get('phone').touched)}"
                formControlName="phone" class="form-control round">
            <small class="form-text text-muted danger"
                *ngIf="!teamForm.get('phone').valid && (teamForm.get('phone').dirty || teamForm.get('phone').touched)">กรุณากรอกเบอร์โทรศัพท์ให้ถูกต้อง</small>
        </fieldset>
        <fieldset class="form-group">
            <label for="gender">เพศ</label>
            <select id="gender" name="gender" formControlName="gender" class="form-control round">
                <option selected value="m">ชาย</option>
                <option value="f">หญิง</option>
            </select>
        </fieldset>
        <fieldset class="form-group">
            <label for="type">ประเภทผู้ใช้งาน</label>
            <select id="type" name="type" formControlName="type" class="form-control round">
                <option value="1" [disabled]="admin_type > 1">Admin</option>
                <option selected value="2">User</option>
                <option value="3">Accounting</option>
            </select>
        </fieldset>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary btn-raised" (click)="close()">ปิดออก</button>
        <button type="submit" class="btn btn-success mr-2 btn-raised ">บันทึก</button>
    </div>
</form>